m-field > .frame > input:-webkit-autofill,
m-field > .frame > input:-webkit-autofill:focus {
    -webkit-text-fill-color: #000 !important;
    box-shadow: 0 0 0 1000px #fff inset !important;
}

main article.content {
    display: flex;
    flex-direction: column;
    padding: 0;
    justify-content: space-between;
}

main article section {
    display: flex;
    flex-direction: column;
    margin: 0 0 1.5rem 0;
}

main article nav {
    position: relative;
    display: flex;
    width: 100%;
    float: left;
    margin: 0 0 2rem 0;
    justify-content: space-between;
    gap: 1rem;
}

main article.pageNav {
    position: relative;
    display: flex;
}

svg.newspaper-logo {
    width: 500px;
    max-width: 100%;
    max-height: 100px;
    padding: 0 0 1rem 0;
}

main article section .text {
    max-width: 800px;
    margin: 1rem 0;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;

}

main article section.detail,
main article section.red,
main article section.black {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background: var(--light-gray);
    padding: 2rem;
    border-radius: var(--border-radius);
}

main article.right section.detail h3 {
    margin: 1rem 0;
}

main article section.detail h3:first-of-type {
    margin: 0 0 1rem 0;
}

main article.right section.white h3 {
    margin: 1rem;
}

main article section.red m-button {
    margin: 0 0 1rem 0;
}

main article section.red m-button:last-of-type {
    margin: 0;
}

main article section ul.arrow,
main article section.detail ul {
    list-style: none;
    margin: 0;
    padding: 0 0 0 2rem;
}

main article section ul.arrow li,
main article section.detail ul li {
    margin: 0 0 .5rem 0;
    line-height: 1.5rem;
}

main article section ul.arrow li:before,
main article section.detail ul li:before,
.condolences ul li .top h4.book:before {
    content: '';
    top: 0;
    height: 1.5rem;
    width: 1.5rem;
    float: left;
    background: var(--black);
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-size: 20px;
    margin: 0 .5rem 0 -2rem;
}

.sendCondolence {
    min-width: 180px;
}

main article section ul.arrow li:before {
    -webkit-mask-image: url(../images/arrow.svg);
    mask-image: url(../images/arrow.svg);
    background: var(--primary);
    rotate: 180deg;
    mask-size: 16px;
}

main article section.detail ul li.releaseDate:before {
    -webkit-mask-image: url(../images/date.svg);
    mask-image: url(../images/date.svg);
}

main article section.detail ul li.views:before {
    -webkit-mask-image: url(../images/view.svg);
    mask-image: url(../images/view.svg);
}

main article section.detail ul li.edition:before {
    -webkit-mask-image: url(../images/edition.svg);
    mask-image: url(../images/edition.svg);
}

main article section.detail ul li.place:before {
    -webkit-mask-image: url(../images/place.svg);
    mask-image: url(../images/place.svg);
    background: var(--primary);
}

main article section.detail ul li.phone:before {
    -webkit-mask-image: url(../images/phone.svg);
    mask-image: url(../images/phone.svg);
    background: var(--primary);
}

main article section.detail ul li.email:before {
    -webkit-mask-image: url(../images/email.svg);
    mask-image: url(../images/email.svg);
    background: var(--primary);
}

main article section.detail ul li.web:before {
    -webkit-mask-image: url(../images/web.svg);
    mask-image: url(../images/web.svg);
    background: var(--primary);
}

main article section.detail ul li.time:before {
    -webkit-mask-image: url(../images/time.svg);
    mask-image: url(../images/time.svg);
    background: var(--primary);
}

.editions {
    position: relative;
    display: inline-block;
    background: var(--white);
    padding: .5rem 1.5rem;
    border-radius: 1.5rem;
    margin: 1rem 1rem 0 0;
}

main article section.red {
    background: var(--primary);
    color: var(--background-white);
}

main article section.red m-button.light {
    background: var(--white);
}

main article section > section.red {
    margin: 0;
    width: 100%;
    margin: 0 0 -2rem 0;
    width: calc(100% + 4rem);
    left: -2rem;
}

main article section.black {
    background: var(--black);
    color: var(--white);
}

main article section.white {
    display: flex;
    flex-direction: column;
    background: transparent;
    padding: 0;
}

main article section.white m-button,
main article section.detail m-button {
    margin: 0 0 0 auto;
}

main article section.detail section.red m-button:first-of-type {
    margin: 0 0 1rem 0;
}

main article section.form {
    display: flex;
    gap: .5rem 1rem;
}

main article section.form.message {
    grid-template-columns: 1fr;
}

main article section.form fieldset {
    width: 100%;
}

main article section.form m-button {
    margin: .5rem 0 0 auto;
}

main article section.red p {
    color: var(--background-white);
}

main article section.black p {
    color: var(--white);
}

.content .left picture {
    text-align: center;
    width: 100%;
    background: var(--light-gray);
    font-size: 0;
}

main article section picture img {
    max-width: max-content;
    margin: 0;
    max-height: 500px;
    width: auto;
}

main article.right section picture img {
    max-width: 100%;
}

main article section.detail picture img {
    max-width: 500px;
}

main article.right section.white img {
    margin: 0 0 -1rem 0;
}

.candle:empty {
    display: none;
}

.candle {
    gap: 1rem;
    display: grid;
    flex-wrap: wrap;
    flex-direction: row;
    grid-template-columns: 1fr 1fr;
    margin: 0 0 2rem 0;
}

.candle div {
    display: inline-flex;
    flex-direction: column;
}

.candle div > span {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;
    padding: 1rem 0;
}

.candle span h4 {
    margin: 1rem 0 .5rem 0;
}

main article section .candle > m-button {
    margin: 0 auto;
    background: var(--light-gray);
    color: var(--black);
    display: flex;
    flex-direction: column;
    align-items: center;
    width: -webkit-fill-available;
}

main article section .candle > m-button:before {
    content: '';
    background-image: url(../images/candle.svg);
    display: block;
    height: auto;
    min-height: 70px;
    background-repeat: no-repeat;
    width: auto;
    min-width: 20px;
    margin: auto;
}

main article section .candle div > m-button {
    margin: 0 auto;
}

.map {
    position: relative;
    display: flex;
    flex-direction: column;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.map > .adress.detail {
    width: 100%;
    margin: 0 0 -1rem 0;
}

.map > .adress.detail h4 {
    margin: 1rem 0;
    font-size: 1.25rem;
}

.map > .adress.detail h4:first-child {
    margin: 0 0 1rem 0;
}

.condolences label {
    margin: 1rem 0 .5rem 0;
}

.condolences label:first-of-type {
    margin: 0 0 .5rem 0;
}

.condolences ul {
    list-style: none;
    line-height: 1.5rem;
    margin: 0;
    padding: 0;
}

.condolences ul li {
    background: var(--light-gray);
    padding: 2rem 2rem 2rem 4rem;
    border-radius: var(--border-radius);
    margin: 0 0 1rem 0;
    position: relative;
}

.condolences ul li .top h4 {
    margin: 0;
}

.condolences ul li .top h4.book {
    line-height: 2rem;
}


.condolences ul li .top h4.book:before {
    -webkit-mask-image: url(../images/book.svg);
    mask-image: url(../images/book.svg);
    height: 2rem;
    width: 2rem;
    mask-size: 2rem;
    margin: 0 .5rem 0 -2.5rem;
}

.condolences ul li .top {
    margin: 0 0 .5rem 0;
}

.condolences ul li .center {
    margin: 0 0 1rem 0;
}

.form-container {
    position: relative; /* Basis für absolut positioniertes Formular */
    display: inline-block; /* Button + Form passen zusammen */
}

.form-wrapper-share,
.form-wrapper-wa {
    width: 75%;
    background: var(--light-gray);
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;

    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;

    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: max-height 0.35s ease,
    opacity 0.35s ease;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: var(--border-radius);
}

.form-wrapper-wa > form > input,
.form-wrapper-wa > form > textarea,
.form-wrapper-share > form > input,
.form-wrapper-share > form > textarea {
    width: 100%;
    padding: .5rem;
    margin-top: .15rem;
    font-size: 1rem;
    border: 1px solid #bbb;
    border-radius: 4px;
}

.form-wrapper-share > form > label,
.form-wrapper-wa > form > label {
    margin-top: .6rem;

}

.form-wrapper-share > form > nav,
.form-wrapper-wa > form > nav {
    margin: 2rem 0 0 0;
}

.form-wrapper-share > form > nav > button
.form-wrapper-wa > form > nav > button {
    background-color: var(--black);
    color: var(--white);
    background: var(--dark-primary);
    background-color: var(--dark-primary);
    box-shadow: var(--box-shadow);
    position: relative;
    display: inline-flex;
    background-color: var(--primary);
    border-radius: 16px;
    font-weight: 600;
    padding: .75rem 1.25rem;
    font-size: 1rem;
    height: auto;
    text-align: center;
    text-transform: initial;
    min-width: 42px;
    min-height: 48px;
    align-items: flex-end;
    justify-content: center;
    float: inline-start;
    transition: background-color 2s;
}

.form-wrapper-wa > form > nav > button:hover,
.form-wrapper-share > form > nav > button:hover {
    background: var(--dark-primary);
    background-color: var(--dark-primary);
    box-shadow: var(--box-shadow);
}

.form-wrapper-wa.show,
.form-wrapper-share.show {
    max-height: 1000px;
    opacity: 1;
}


@media (min-width: 768px) {
    main article.content {
        flex-direction: row;
    }

    main article.content article.right {
        width: 480px;
    }

    main article.content article.left {
        width: 100%;
    }

    .candle {
        grid-template-columns: 1fr 1fr 1fr;
    }

    main article section.form {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    main article section.form fieldset.textarea,
    main article section.form m-button {
        grid-column: 1 / 3;
    }
}

@media (min-width: 1400px) {
    .candle {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }

    main article.content {
        gap: 2rem;
    }

    .map {
        flex-direction: row;
    }

    .map > .adress.detail {
        max-width: 400px;
        margin: 0 -1rem 0 0;
    }

}